com.mapinfo.midev.geometry

## Interface IDirectPositionMutator

All Known Implementing Classes:
  AffineTransform, CoordTransform

    public interface IDirectPositionMutator

Interface for implementing any arbitrary logic to change the values of a DirectPosition.

### Method Summary

All Methods Instance Methods Abstract Methods
`DirectPosition` `transform(DirectPosition in, DirectPosition out)` Apply this mutator to the values in the in direct position and place the changed values in the out direct position.

### Method Detail

#### transform

    DirectPosition transform(DirectPosition in,
                             DirectPosition out)

Apply this mutator to the values in the in direct position and place the changed values in the out direct position.

The two direct positions passed as parameters may be the same object.

Parameters:
  `in` - direct position that is the target of this mutator; it will not be changed
  `out` - direct position to hold the changed values from the in direct position (may be the same instance as the in direct position)
Returns:
  the out direct position after being changed.